X2Go Bug report logs - #1481
Idling sessions freezing

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Michael Fehér <Michael_Feher@web.de>

Date: Fri, 26 Jun 2020 10:55:02 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1481; Package x2goserver. (Fri, 26 Jun 2020 10:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael Fehér <Michael_Feher@web.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 26 Jun 2020 10:55:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael Fehér <Michael_Feher@web.de>
To: submit@bugs.x2go.org
Subject: Idling sessions freezing
Date: Fri, 26 Jun 2020 12:54:17 +0200
package: x2goserver

When I open a session and leave this client-window idling (on the
background client OS) the applications of the session doesn't reacting
anymore after about 5 minutes. As well as disconnecting from the server
and reconnecting again.
I have to shut down the session to get a reacting desktop.
As long as Iḿ using the x2go-desktop everything is working.

no error-messages

I'm expecting as it was on my old system (XUbuntu 16.04) to be able to
leave the sessions idling ans resume them much later.
Idling Client-connection
resume closed connection


1. Client machine: Windows 10 64bit

2. Client version 4.1.2.2

3. relevant settings: fixed screenresolution of 1024x768, XFce activates

4. Server OS: XUbuntu 20.04 64bit

5. version:   x2goserver: 4.1.0.3
                x2goserver-common: 4.1.0.3
                x2goserver-extensions: 4.1.0.3
                x2goserver-fmbindings: 4.1.0.3
                x2goserver-printing: 4.1.0.3
                x2goserver-x2goagent: 3.5.99.23
                x2goserver-xsession: 4.1.0.3

9. no changes in serverconfig applied



Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1481; Package x2goserver. (Fri, 03 Jul 2020 06:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Tony Brian Albers <tba@kb.dk>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 03 Jul 2020 06:05:02 GMT) (full text, mbox, link).


Message #10 received at 1481@bugs.x2go.org (full text, mbox, reply):

From: Tony Brian Albers <tba@kb.dk>
To: "1481@bugs.x2go.org" <1481@bugs.x2go.org>
Subject: Idling sessions freezing
Date: Fri, 3 Jul 2020 06:03:12 +0000
[Message part 1 (text/plain, inline)]
Good morning everyone,

I'm seeing the exact same behaviour on my setup:

Host:
Springdale Open Enterprise Linux 8.2 x86_64

x2goagent.x86_64           4.1.0.3-5.epel8.playground
x2goserver.x86_64          4.1.0.3-5.epel8.playground
x2goserver-common.noarch   4.1.0.3-5.epel8.playground                
x2goserver-xsession.noarch 4.1.0.3-5.epel8.playground                

Client:
Springdale Open Enterprise Linux 8.2 x86_64

x2goclient.x86_64          4.1.2.2-1.epel8.playground


Session freezes when idle for a few minutes, and nothing can bring it
back. There is nothing in the session.log file on the host, and nothing
on the client either.
But on the host, in /tmp/.x2go-tba/C-tba-58-
1593751325_stDXFCE_dp24/cmdoutput I see a lot of errors:

-------------------snip-------------------
[tba@admn002 C-tba-58-1593751325_stDXFCE_dp24]$ ls
cache-unix-kde-depth_24  clients  cmdoutput  C-tba-58-
1593751325_stDXFCE_dp24  keyboard  options  session.log  sshd.pid  stat
e
[tba@admn002 C-tba-58-1593751325_stDXFCE_dp24]$ cat cmdoutput 
exec xfce4-session
dbus[28163]: Unable to set up transient service directory:
XDG_RUNTIME_DIR "/run/user/20104" not available: No such file or
directory
Loading profile from /etc/profile
dbus-daemon[28163]: [session uid=20104 pid=28163] Activating service
name='org.freedesktop.systemd1' requested by ':1.0' (uid=20104
pid=28257 comm="systemctl --user import-environment DISPLAY XAUTHO"
label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
dbus-daemon[28163]: [session uid=20104 pid=28163] Activated service
'org.freedesktop.systemd1' failed: Process org.freedesktop.systemd1
exited with status 1
dbus-daemon[28163]: [session uid=20104 pid=28163] Activating service
name='org.a11y.Bus' requested by ':1.2' (uid=20104 pid=28164
comm="xfce4-session " label="unconfined_u:unconfined_r:unconfined_t:s0-
s0:c0.c1023")

(process:28314): dconf-CRITICAL **: 06:42:09.444: unable to create
directory '/run/user/20104/dconf': Permission denied.  dconf will not
work properly.

...

(process:28314): dconf-CRITICAL **: 06:42:09.453: unable to create
directory '/run/user/20104/dconf': Permission denied.  dconf will not
work properly.
dbus-daemon[28319]: Activating service name='org.a11y.atspi.Registry'
requested by ':1.0' (uid=20104 pid=28164 comm="xfce4-session "
label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
dbus-daemon[28163]: [session uid=20104 pid=28163] Activating service
name='org.xfce.Xfconf' requested by ':1.4' (uid=20104 pid=28164
comm="xfce4-session " label="unconfined_u:unconfined_r:unconfined_t:s0-
s0:c0.c1023")
dbus-daemon[28319]: Successfully activated service
'org.a11y.atspi.Registry'
SpiRegistry daemon is running with well-known name -
org.a11y.atspi.Registry
dbus-daemon[28163]: [session uid=20104 pid=28163] Successfully
activated service 'org.xfce.Xfconf'
dbus-daemon[28163]: [session uid=20104 pid=28163] Activating service
name='org.xfce.ScreenSaver' requested by ':1.4' (uid=20104 pid=28164
comm="xfce4-session " label="unconfined_u:unconfined_r:unconfined_t:s0-
s0:c0.c1023")
dbus-daemon[28163]: [session uid=20104 pid=28163] Activating service
name='org.gtk.vfs.Daemon' requested by ':1.7' (uid=20104 pid=28334
comm="/usr/bin/xfce4-screensaver --no-daemon "
label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
dbus-daemon[28163]: [session uid=20104 pid=28163] Successfully
activated service 'org.gtk.vfs.Daemon'
fuse: bad mount point `/run/user/20104/gvfs': No such file or directory
dbus-daemon[28163]: [session uid=20104 pid=28163] Successfully
activated service 'org.xfce.ScreenSaver'
dbus-daemon[28163]: [session uid=20104 pid=28163] Activating service
name='org.freedesktop.Tracker1' requested by ':1.19' (uid=20104
pid=28384 comm="gdbus call -e -d org.freedesktop.DBus -o /org/free"
label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")

(tracker-store:28421): dconf-CRITICAL **: 06:42:10.175: unable to
create directory '/run/user/20104/dconf': Permission denied.  dconf
will not work properly.

...

(tracker-store:28421): dconf-CRITICAL **: 06:42:10.180: unable to
create directory '/run/user/20104/dconf': Permission denied.  dconf
will not work properly.



dbus-daemon[28163]: [session uid=20104 pid=28163] Successfully
activated service 'org.freedesktop.Tracker1'



(tracker-store:28421): dconf-CRITICAL **: 06:42:10.251: unable to
create directory '/run/user/20104/dconf': Permission denied.  dconf
will not work properly.

...


(tracker-store:28421): dconf-CRITICAL **: 06:42:10.289: unable to
create directory '/run/user/20104/dconf': Permission denied.  dconf
will not work properly.
dbus-daemon[28163]: [session uid=20104 pid=28163] Activating service
name='org.gtk.vfs.UDisks2VolumeMonitor' requested by ':1.23' (uid=20104
pid=28413 comm="/usr/libexec/tracker-miner-fs "
label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
dbus-daemon[28163]: [session uid=20104 pid=28163] Activating service
name='org.freedesktop.Notifications' requested by ':1.15' (uid=20104
pid=28369 comm="/usr/lib64/xfce4/panel/wrapper-2.0 /usr/lib64/xfce"
label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
dbus-daemon[28163]: [session uid=20104 pid=28163] Activating service
name='org.gnome.evolution.dataserver.Sources5' requested by ':1.29'
(uid=20104 pid=28420 comm="/usr/libexec/evolution/evolution-alarm-
notify " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")

-------------------snip-------------------

Not entirely sure these are related though. I've attached the whole
file.

Any advice is appeciated.

Thanks,

-- 
Tony Albers - Systems Architect - IT Development
Royal Danish Library, Victor Albecks Vej 1, 8000 Aarhus C, Denmark
Tel: +45 2566 2383 - CVR/SE: 2898 8842 - EAN: 5798000792142
[cmdoutput (text/plain, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Oct 28 03:00:38 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.